Wordpress database error (again and again)

April 20, 2014 1.3k views
I used quick wordpress install (Application > Wordpress on Ubuntu 13.10) Then I used Wp Super cache plugin for caching. When I get huge traffic I got "database error". Then I researched and found swapping. (https://www.digitalocean.com/community/articles/how-to-add-swap-on-ubuntu-12-04) After swapped, everything was fine but today, when I get more traffic again I got "database error" again. I dont know what will I need to do. Can anyone help me?
1 comment
1 Answer
How big is your droplet? 512MB is usually not enough for a moderately active site running Apache (which is what the 1-click image uses).

You can either upgrade your droplet, or dump Apache in favor of nginx: How To Install Wordpress, Nginx, PHP, and Varnish on Ubuntu 12.04.
by Etel Sverdlov
Varnish is an HTTP accelerator and a useful tool for speeding up a server, especially during a times when there is high traffic to a site. It works by redirecting visitors to static pages whenever possible and only drawing on the server itself if there is a need for an active process. This tutorial covers installing wordpress on a LEMP stack (with nginx instead of apache), and then installing varnish.
Have another answer? Share your knowledge.